{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":3889,"path":"build-workflows/workflow-activities/r_RESTMessageActivity.md","title":"REST Message legacy workflow activity","bundle":null,"doc_type":null,"release":"australia","body":"\n# REST Message legacy workflow activity\n\nThe legacy **REST Message** activity enables an administrator to override the REST endpoint or supply the variables configured in the REST Message module.\n\nThis activity is deprecated in the Australia release and no longer shows up in the Workflow canvas for new workflow development. New workflows should use the [Orchestration](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/r-orchestration.md) REST Activity templates instead.\n\nExisting workflows using it will continue to work as designed. To edit this activity in an existing workflow, you must [re-activate the activity](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/t_ReactivateDeprecatedActivity.md).\n\nThe **REST Message** activity executes a dead link REST function \\(POST, PUT, GET, or DELETE\\) on an endpoint using values defined in the function record.\n\n**Note:** If you want to use a MID Server to send the REST message, the MID Server must be accessible by the instance and configured to use SSH.\n\n## Input variables\n\n<table id=\"table_emf_3rl_sq\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td class=\"subhead\" colspan=\"2\">\n\nRest Message\n\n</td></tr><tr><td>\n\nREST Message\n\n</td><td>\n\nName of the [Create a REST message](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/web-services/t_ConfiguringARESTMessage.md) to run. This is a reference field to the REST Message \\[sys\\_rest\\_message\\] table \\(**System Web Services** &gt; **Outbound** &gt; **REST Message**\\).\n\n</td></tr><tr><td>\n\nREST Message Function\n\n</td><td>\n\nFunction to call that is defined in a REST message function. This is a reference field to the HTTP Method \\[sys\\_rest\\_message\\_fn\\] table \\(**System Web Services** &gt; **Outbound** &gt; **REST Message**\\). Available functions are **put**, **post**, **get**, or **delete**. You can edit functions in the **HTTP Methods** related list in each REST Message record.\n\n</td></tr><tr><td>\n\nREST Endpoint\n\n</td><td>\n\nREST endpoint to use instead of the **Endpoint** defined in the HTTP Method record. Leave this field blank to use the defined endpoint in the REST Message Function record.\n\n</td></tr><tr><td class=\"subhead\" colspan=\"2\">\n\nRest Message Variables\n\n</td></tr><tr><td>\n\nVariables\n\n</td><td>\n\nValues to use for [Variable substitution in outbound REST messages](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/web-services/c_VariableSubstitutionREST.md) defined in the HTTP Method record. Use the following format for the string:\n\n```\nname1=value1, name2=value2, . . .\n```\n\nFor example, use `name=${nameValue}, id=${idValue}` where *name* and *id* are function variables. If either the variable name or value contains a comma or equal sign, escape those characters with a backslash.\n\n</td></tr><tr><td class=\"subhead\" colspan=\"2\">\n\nRest Message MID Server\n\n</td></tr><tr><td>\n\nUse MID Server\n\n</td><td>\n\nCheck this box if you want to use a MID Server to send the REST message. A MID Server might be necessary to reach an endpoint within a firewall or a subnetwork that is not visible from the instance. If this check box is selected, but no MID Server is defined in the **MID Server** field, the workflow automatically attempts to find a MID Server based on IP range and the REST capability.\n\n</td></tr><tr><td>\n\nMID Server\n\n</td><td>\n\nName of the MID Server to use. This field is available when **Use MID Server** is selected. The workflow ignores this parameter if the **use\\_midserver** parameter is disabled.\n\n</td></tr><tr><td class=\"subhead\" colspan=\"2\">\n\nRest Message Script\n\n</td></tr><tr><td>\n\nSensor Script\n\n</td><td>\n\nThe script to execute after the request has been made and a response has been received. You can access the full response body from the *activity.output* variable.\n\n</td></tr></tbody>\n</table>**Parent Topic:**[Utility workflow activities](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/build-workflows/workflow-activities/c_UtilityActivities.md)\n\n"}}